REM https://nih.at/libzip/libzip-1.2.0.tar.xz

set ARCH=%1
if "%ARCH%"=="x86" (
        set OSGEO4W_ROOT=C:\OSGeo4W
        set VCARCH=x86
	set CMAKEGEN=Visual Studio 14 2015
	set CURLLIB=libcurl_imp.lib
	set ZLIB=zlib.lib
) else (
        set OSGEO4W_ROOT=C:\OSGeo4W64
        set VCARCH=x64
	set CMAKEGEN=Visual Studio 14 2015 Win64
	set ZLIB=zdll.lib
)


set P=libzip
set V=1.2.0
set B=1

set R=..\..\..\%ARCH%\release\%P%
for %%i in (bin devel libs) do (
	if not exist %R%\%P%-%%i mkdir %R%\%P%-%%i
	copy %%i.hint %R%\%P%-%%i\setup.hint
	copy ..\LICENSE %R%\%P%-%%i %R%\%P%-%%i\%P%-%%i-%V%-%B%.txt
)

if "%pf%"=="" set pf=%ProgramFiles%
path %SYSTEMROOT%\system32;%SYSTEMROOT%;%SYSTEMROOT%\System32\Wbem;C:\Program Files\CMake\bin
call "C:\Program Files\Microsoft Visual Studio 14.0\VC\vcvarsall.bat" %VCARCH%
path C:\Program Files\Microsoft Visual Studio 14.0\Common7\IDE;%PATH%
set OLDPATH=%PATH%
call "%OSGEO4W_ROOT%\bin\o4w_env.bat"
path %OLDPATH%;%OSGEO4W_ROOT%\bin;c:\cygwin\bin
echo on

if not exist build-%ARCH% mkdir build-%ARCH%
if not exist install-%ARCH% mkdir install-%ARCH%
set INSTDIR=%CD%\install-%ARCH%
cd build-%ARCH%

set LIB=%LIB%;%OSGEO4W_ROOT%\lib
set INCLUDE=%INCLUDE%;%OSGEO4W_ROOT%\include

set BUILDCONF=RelWithDebInfo

cmake -G "%CMAKEGEN%" ^
	-DCMAKE_CONFIGURATION_TYPES=%BUILDCONF% ^
	-DCMAKE_INSTALL_PREFIX=%INSTDIR% ^
	-DZLIB_LIBRARY=%OSGEO4W_ROOT%/lib/%ZLIB% ^
        ..\..
if errorlevel 1 goto error

for %%i in (ZERO_CHECK ALL_BUILD INSTALL) do (
	echo %%i: %DATE% %TIME%
	cmake --build . --target %%i --config %BUILDCONF%
	if errorlevel 1 (echo %%i error & goto error)
)

cd ..

copy ..\LICENCE.txt %R%\%P%-libs\%P%-libs-%V%-%B%.txt

tar -C .. -cjf %R%\%P%-libs\%P%-libs-%V%-%B%-src.tar.bz2 osgeo4w/package.cmd osgeo4w/bin.hint osgeo4w/devel.hint osgeo4w/libs.hint

tar -C %INSTDIR% -cvjf %R%\%P%-libs\%P%-libs-%V%-%B%.tar.bz2 ^
	--exclude "*.exe" ^
        bin
if errorlevel 1 goto error

copy ..\LICENCE.txt %R%\%P%-bin\%P%-bin-%V%-%B%.txt
tar -C %INSTDIR% -cvjf %R%\%P%-bin\%P%-bin-%V%-%B%.tar.bz2 ^
	--exclude "*.dll" ^
        bin
if errorlevel 1 goto error

copy ..\LICENCE.txt %R%\%P%-devel\%P%-devel-%V%-%B%.txt
tar -C %INSTDIR% -cvjf %R%\%P%-devel\%P%-devel-%V%-%B%.tar.bz2 ^
        include ^
        lib
if errorlevel 1 goto error

:error
